--@param image: its image
--@param x: its x position
--@param y: its y position
--@param vel: its velocity
--@param r: its radius
--@param w: its width
--@param h: its height

function createEnemy(image, x, y, vel, r, w, h, health)


	local enemy = {}
	enemy.img = image
	enemy.x = x
	enemy.y = y
	enemy.vel = vel
	enemy.r = r
	enemy.w = w
	enemy.h = h
	enemy.health = health

	function enemy.update(dt)

	end

	function enemy.draw()
		
	end

	return enemy

end

function drawEnemies()
	for _,v in ipairs(enemies) do
		v.draw()
	end
end

function updateEnemies(dt)
	for _,v in ipairs(enemies) do
		v.update(dt)
	end
end

function clearOffBoundEnemies()
	for ei = #enemies, 1, -1 do
		if enemies[ei].x > screenWidth + 500 or enemies[ei].x < -500
		  or enemies[ei].y > screenHeight + 500 or enemies[ei].y < -500 then
			table.remove(enemies, ei)
		end
	end
end

function clearDeadEnemies()
	for ei = #enemies, 1, -1 do
		if enemies[ei].health < 0 then
			table.remove(enemies, ei)
		end
	end 
end

function bulletHitEnemy()
	local bullet_trash = {}

	for bi = #playerBullets, 1, -1 do
		for ei = #enemies, 1, -1 do
			if distanceFormula(playerBullets[bi].x,playerBullets[bi].y,enemies[ei].x,enemies[ei].y) 
				< playerBullets[bi].radius + enemies[ei].r then
				enemies[ei].health = enemies[ei].health - 1
				table.insert(bullet_trash, bi)
			end 
		end
	end

	for i, v in ipairs(bullet_trash) do
		table.remove(playerBullets, i)
	end
end


function takeHealth(object, amount)
	local hit = true
	if hit then
		object.health = object.health - amount
		hit = false
	end
end

function distanceFormula(x1,y1,x2,y2)
   return math.sqrt( (x1-x2)^2 + (y1 - y2)^2)
end