bullet = {}

function bullet.create(img, x, y, shape, vel, dmg, faction, angle, radius, width, height)
	if not width then
		width = 0
	end
	if not height then
		height = 0
	end
	if faction == "player" then
		table.insert(playerBullets, {img = img, x = x, y = y, shape = shape, vel = vel, angle = angle, 
			radius = radius, width = width, height = height})
	elseif faction == "enemy" then
		table.insert(enemyBullets, {img = img, x = x, y = y, shape = shape, vel = vel, angle = angle, 
			radius = radius, width = width, height = height})
	end

end

function bullet.update(dt)
	for _,v in ipairs(playerBullets) do
		v.x = v.x + angularDisplacementX(v.vel, v.angle) * dt
		v.y = v.y + angularDisplacementY(v.vel, v.angle) * dt
	end
	for _,v in ipairs(enemyBullets) do
		v.x = v.x + angularDisplacementX(v.vel, v.angle) * dt
		v.y = v.y + angularDisplacementY(v.vel, v.angle) * dt
	end
end

function bullet.draw()
	for _,v in ipairs(playerBullets) do
		love.graphics.draw(v.img, v.x, v.y, 0, 1, 1, v.img:getWidth()/2, v.img:getHeight()/2)
	end
	for _,v in ipairs(enemyBullets) do
		love.graphics.draw(v.img, v.x, v.y, 0, 1, 1, v.img:getWidth()/2, v.img:getHeight()/2)
	end
end

function bullet.clear()
	for i = #playerBullets, 1, -1 do
		if playerBullets[i].y < -50 then
			table.remove(playerBullets, i)
		end
	end
end

function angularDisplacementX(speed, angle)
	local angle = math.rad(angle)
	local scale = math.cos(angle)
	local velocity = speed * scale

	return velocity
end

function angularDisplacementY(speed, angle)
	local angle = math.rad(angle)
	local scale = math.sin(angle)
	local velocity = speed * scale

	return velocity
end

