function load_fighter_stats()
	fighter = {
		img = image["Fighter"],
		vel = 300,
		health = 3,
		radius = 20
	}
end

function spawn_fighter(x, y, direction)

	local i = id
	local enemy = createEnemy(image["Fighter"], x, y, fighter.vel, fighter.radius, 0,0, fighter.health)

	function enemy.update(dt)

		enemy.x = enemy.x + angularDisplacementX(enemy.vel, direction) * dt 
		enemy.y = enemy.y + angularDisplacementY(enemy.vel, direction) * dt

	end

	function enemy.draw()
		love.graphics.draw(enemy.img, enemy.x, enemy.y, math.rad(direction) - math.pi/2, 1,1,32,32)
	end 

	return enemy

end

function spawn_wave_fighter(number, x1, x2, y1, y2, direction)
	for n = 1, number do
		local x = math.random(x1, x2)
		local y = math.random(y1, y2)
		enemies[i] = spawn_fighter(x, y, direction)
	end
end


function spawn_fighterSwerve(x,y,direction, magnitude, rotation)

	local enemy = createEnemy(image["Fighter"], x, y, fighter.vel, fighter.radius, 0,0, fighter.health)
	local fixedX = x
	local birth = love.timer.getTime()

	function enemy.update(dt)

		if direction == "down" then
			enemy.x = fixedX + math.cos((love.timer.getTime() - birth)*magnitude)*magnitude*10
			enemy.y = enemy.y + enemy.vel * dt

		elseif direction == "left" then

			enemy.x = enemy.x - enemy.vel * dt
			enemy.y = enemy.y + math.cos((love.timer.getTime() - birth)*magnitude)*magnitude/3

		elseif direction == "right" then

			enemy.x = enemy.x + enemy.vel * dt
			enemy.y = enemy.y + math.cos((love.timer.getTime() - birth)*magnitude)*magnitude/3

		end

	end

	function enemy.draw()
		love.graphics.draw(enemy.img, enemy.x, enemy.y, math.rad(rotation), 1,1,32,32)
	end

	return enemy

end





