function love.load()
	love.mouse.setVisible(false)
	debug = false

	screenWidth = love.graphics.getWidth()
	screenHeight = love.graphics.getHeight()

	MODULE_PATH = "states/"
	ENT_PATH = "entities/"
	LIB_PATH = "libraries/"
	IMG_PATH = "assets/sprites/"
	SOUND_PATH = "assets/sounds/"
	FONT_PATH = "assets/fonts/"

	require(MODULE_PATH..'menu')
	require(MODULE_PATH..'game')
	require(ENT_PATH..'pilot')
	require(ENT_PATH..'bullets')
	require(ENT_PATH..'base')
	require(ENT_PATH..'fighter')
	require(LIB_PATH..'AnAL 2')

	regularFont = love.graphics.newFont(12)


	--Loading Game Assets
	image_stock = {
	"booster_flare_small",
	"booster_flare_big",
	"bullet_1",
	"player_left1",
	"player_left2",
	"player_left3",
	"player_right1",
	"player_right2",
	"player_right3",
	"player_straight",
	"startile",
	"Captain",
	"Carrier",
	"Defender",
	"Destroyer",
	"Fighter",
	"Infiltrator",
	"Obliterator",
	"laser_blue",
	"laser_red"
	}

	image = {}
	for _,img in ipairs(image_stock) do
		image[img] = love.graphics.newImage(IMG_PATH..img..".png")
	end

	space_bgm = love.audio.newSource(SOUND_PATH..'space_ambient.mp3', 'static')
	space_bgm:setLooping(true)
	engine = love.audio.newSource(SOUND_PATH..'engine_low.mp3', 'static')
	engine:setLooping(true)
	shoot_sound = love.audio.newSource(SOUND_PATH..'gun_shoot3.wav', 'static')
	beep_1 = love.audio.newSource(SOUND_PATH..'beep_1.mp3', 'static')
	beep_end = love.audio.newSource(SOUND_PATH..'beep_end.mp3', 'static')


	countdown_font = love.graphics.newFont(FONT_PATH..'octin spraypaint free.ttf', 70)
		


	menu.load()
	game.load()

	state = menu

end

function love.update(dt)

	state.update(dt)

end

function love.draw()

	state.draw()

end

function love.keypressed(key, unicode)

	state.keypressed(key, unicode)

	if key == "tab" then
		debug = not debug
	end

end