game = {}


--||===============MAIN FUNCTIONS=================||

function game.load()
	game.start = false
	game.paused = false
	game.countdown = 3
	game.clock = 0



	player = {}
	playerBullets = {}
	enemies = {}
	enemyBullets = {}
	id = 1

	player[1] = pilot.create(50,screenWidth/2, screenHeight - 50,400,400)

	load_fighter_stats()
	
	enemies[1] = spawn_fighterSwerve(1200,300, "left", 5, 90)
	enemies[2] = spawn_fighter(1200,50, 155)
	enemies[3] = spawn_fighter(80,50, 25)
	enemies[4] = spawn_fighterSwerve(80,500, "right", 7, -90)
	enemies[5] = spawn_fighter(300,50, 90)
	enemies[6] = spawn_fighter(980,screenHeight-50, -90)

end

function game.update(dt)

	id = #enemies + 1

	if not game.start then
		game.countdown = game.countdown - dt
		if game.countdown < -0.5 then
			game.start = true
			game.countdown = 3
		end
		if game.countdown > 2.9 and game.countdown < 3 then
			beep_1:play()
		elseif game.countdown > 1.9 and game.countdown < 2 then
			beep_1:play()
		elseif game.countdown > 0.9 and game.countdown < 1 then
			beep_1:play()
		elseif game.countdown > -0.1 and game.countdown < 0 then
			beep_end:play()
		end
	end
	space_bgm:play()
	engine:play()

	game.clock = game.clock + dt

	if game.start and not game.paused then
		for i = 1,#player do
			player[i]:update(dt)
		end


		updateEnemies(dt)
		clearOffBoundEnemies()

		bullet.update(dt)
		bullet.clear()
		clearDeadEnemies()
		bulletHitEnemy()
		
	end
	

end

function game.draw()

	for l = 0,3 do
		for h = -1,2 do
			love.graphics.draw(image["startile"],l*image["startile"]:getWidth(),(h+game.clock%1)*image["startile"]:getHeight())
		end
	end
	if not game.start then
		love.graphics.setFont(countdown_font)
		if game.countdown > 2 then
			love.graphics.printf("3", 0, screenHeight/2 - countdown_font:getHeight("lg")/2, screenWidth, "center")
		elseif game.countdown > 1 and game.countdown <= 2 then
			love.graphics.printf("2", 0, screenHeight/2 - countdown_font:getHeight("lg")/2, screenWidth, "center")
		elseif game.countdown > 0 and game.countdown <= 1 then
			love.graphics.printf("1", 0, screenHeight/2 - countdown_font:getHeight("lg")/2, screenWidth, "center")
		else
			love.graphics.printf("LAUNCH!", 0, screenHeight/2 - countdown_font:getHeight("lg")/2, screenWidth, "center")
		end
	end
	

	drawEnemies()
	bullet.draw()

	for i = 1,#player do
		player[i]:draw()
	end


	love.graphics.setFont(regularFont)
	love.graphics.print("#playerBullets: "..#playerBullets, 100,100)
	love.graphics.print("#enemies: "..#enemies, 100,115)


end

function game.keypressed(key, unicode)
	if game.start then
		if key == " " then 
			shoot_sound:play()
			shoot_sound:rewind()
			for i = 1, #player do
				player[i]:shoot()
			end
		end
	end

	if key == "escape" then
		state = menu
		game.reset()
		game.load()
	end

	if key == "s" then
		spawn_wave_fighter(5, 100, 700, 100, 300, 90)
	end
end

--||===========OTHER FUNCTIONS===========||

function game.clockReset()
	game.clock = 0
end

function game.reset()
	game.clock = 0
	space_bgm:stop()
	engine:stop()
end

function updateEnemies(dt)
	for _,v in ipairs(enemies) do
		v.update(dt)
	end
end

function drawEnemies()
	for _,v in ipairs(enemies) do
		v.draw()
	end
end