menu = {}

function menu.load()
	buttons = {}
	menu.selector = 1

	create_button("Launch!", 100, 250, "game", 1)
	create_button("How to play", 100, 350, "tutorial", 2)
	create_button("Credits", 100, 450, "credits", 3)
	create_button("Quit", 100, 650, "quit", 4)

	menu_bg = love.graphics.newImage(IMG_PATH..'menu_bg.jpeg')
	menu_title = love.graphics.newImage(IMG_PATH..'menu_title.png')
	
	panel_font = love.graphics.newFont(FONT_PATH..'neuropolX.ttf', 50)
	title_font = love.graphics.newFont(FONT_PATH..'space age.ttf', 80)

	menu_switch = love.audio.newSource(SOUND_PATH..'menu_switch.mp3', 'stream')
	menu_select = love.audio.newSource(SOUND_PATH..'menu_select.mp3', 'stream')
	menu_error = love.audio.newSource(SOUND_PATH..'menu_error2.wav', 'stream')

	menu_bgm = love.audio.newSource(SOUND_PATH..'menu_bg.wav', 'static')
	menu_bgm:setLooping(true)


	
	
end

function menu.update(dt)

	menu_bgm:play()

	if menu.selector > #buttons then
		menu_error:play()
		menu_error:rewind()
		menu.selector = #buttons
	elseif menu.selector < 1 then
		menu_error:play()
		menu_error:rewind()
		menu.selector = 1
	end


	for i, v in ipairs(buttons) do
		if menu.selector == v.id then
			v.focus = true
		else
			v.focus = false
		end
	end

end


function menu.draw()

	love.graphics.draw(menu_bg,0,0)

	love.graphics.draw(menu_title, 100, 80)
	draw_buttons()

end 


function menu.keypressed(key, unicode)

	if key == "down" then
		if menu.selector ~= #buttons then
			menu_switch:play()
			menu_switch:rewind()
		end
		menu.selector = menu.selector + 1
	end
	if key == "up" then
		if menu.selector ~= 1 then
			menu_switch:play()
			menu_switch:rewind()
		end
		menu.selector = menu.selector - 1 
	end

	if key == "return" then
		menu_select:play()
		menu_select:rewind()
		for i,v in ipairs(buttons) do
			if v.focus == true then
				if v.purpose == "game" then
					state = game
					menu_bgm:stop()
				elseif v.purpose == "tutorial" then
					--state = tutorial
				elseif v.purpose == "credits" then
					--state = credits
				elseif v.purpose == "quit" then
					love.event.quit()
				end
			end
		end
	end
end


function create_button(text, x, y, purpose, id)

	table.insert(buttons, {text = text, x = x, y = y, purpose = purpose, id = id, focus = false})

end

function draw_buttons()
	love.graphics.setFont(panel_font)
	for i, v in ipairs(buttons) do
		if v.focus == true then
			love.graphics.setColor(255,255,255)
		else
			love.graphics.setColor(130,130,130)
		end 
		love.graphics.print(v.text, v.x, v.y)
		
	end
	love.graphics.setColor(255,255,255)
	love.graphics.setFont(regularFont)

end